cvc_certificate_description_st Struct Reference

This structure holds further information about a card verifiable certificate in human readable form. More...

`#include <cv_cert.h>`

## Data Fields

ASN1_OBJECT * | descriptionType
| Format of the description (Plain Text, PDF or HTML)
ASN1_UTF8STRING * | issuerName
| Human readable name of the issuer of this certificate.
ASN1_PRINTABLESTRING * | issuerURL
| Optional URL that points to informations about the issuer of this certificate.
ASN1_UTF8STRING * | subjectName
| Human readable name of the holder of this certificate.
ASN1_PRINTABLESTRING * | subjectURL
| Optional URL that points to informations about the holder of this certificate.
ASN1_OCTET_STRING * | termsOfUsage
| Terms of Usage of the Service holding the certificate. May be formatted as either plain text, HTML or PDF.
ASN1_PRINTABLESTRING * | redirectURL
| Not used.
CVC_COMMCERT_SEQ * | commCertificates
| Contains hash values of admissible X.509 certificates of the remote terminal (optional)

## Detailed Description

This structure holds further information about a card verifiable certificate in human readable form.

The certificate description is used by a local terminal as part of the user interaction for online authentication of a remote terminal and may be ignored by the MRTD chip.

See also
  TR-03110 C.3.1.

Definition at line 233 of file cv_cert.h.

The documentation for this struct was generated from the following file:

- eac/cv_cert.h